
      SUBROUTINE fprintarray(arr1,arr2,arr3,m1,m2,m3)
      
C-----------------------------------------------------------------------
C
C Written By: john	Thu May 25 10:54:51 1995
C
C Purpose:
C
C-----------------------------------------------------------------------
C
C Description of Arguments Passed:
C
C	arr1	--
C	arr2	--
C	arr3	--
C	m1	--
C	m2	--
C	m3	--
C
C-----------------------------------------------------------------------

      real*8 arr1(m1)
      real*4 arr2(m1,m2),arr3(m1,m2,m3)

C
C Constants (PARAMETER Statements):
C


C
C Revsion Control Information:
C

      CHARACTER*64 RCSID
      CHARACTER*20 REVISION
      DATA RCSID
     &     /'$Id$'/
      DATA REVISION / '$Revision$' /
      
C
C Explicitly Declared Local Variables:
C


C
C Executable Code:
C
      write(*,*) '* * * Start FPRINTARRAY * * *'
      write(*,*) 'm1   = ',m1
      write(*,*) 'm2   = ',m2
      write(*,*) 'm3   = ',m3
      write(*,*) 'arr1 = ',(arr1(i),i=1,m1)
      write(*,*) 'arr2 = ',((arr2(i,j),i=1,m1),j=1,m2)
      write(*,*) 'arr3 = ',(((arr3(i,j,k),i=1,m1),j=1,m2),k=1,m3)
      write(*,*) '* * * End FPRINTARRAY * * *'


      RETURN
      END                       ! Subroutine fprintarray
